import com.vividsolutions.jump.workbench.plugin.AbstractPlugIn;
import com.vividsolutions.jump.workbench.plugin.PlugInContext;
import com.vividsolutions.jump.*;
import com.vividsolutions.jump.feature.*;
import com.vividsolutions.jts.geom.*;
import java.util.*;
import javax.swing.JComboBox;
import java.lang.Object.*;
import org.openjump.core.apitools.*; // tento import chybel pro spravnou funkci

import com.vividsolutions.jump.workbench.ui.*;
import com.vividsolutions.jump.workbench.model.*;

public class addatributte extends AbstractPlugIn {
        
    public void initialize(PlugInContext context){
        context.getFeatureInstaller().addMainMenuItem(this, new String[] { "MojePlugIns", "addAtributte" }, "addAtributte", false, null, null);
    }
    
    public boolean execute(PlugInContext context) throws Exception {   
       

       FeatureCollection pFeatures = context.getWorkbenchContext().getLayerManager().getLayer(0).getFeatureCollectionWrapper().getWrappee();
       
        FeatureSchema fsNew=(FeatureSchema)pFeatures.getFeatureSchema().clone();
        fsNew.addAttribute("huhuattribut",AttributeType.STRING);
        FeatureDataset resultFC = new FeatureDataset(fsNew);
            //-- set the attribute for every feature in the collection
            for (Iterator iterator = pFeatures.iterator(); iterator.hasNext();) {
                Feature ftemp = (Feature) iterator.next();
                //-- copies the original feature to the new feature schema
                Feature fcore = FeatureCollectionTools.copyFeatureAndSetFeatureSchema(ftemp, fsNew);
                //-- in case the geometry changed:
                //fcore.setGeometry(core);
                //-- set the new attribute           
                fcore.setAttribute("huhuattribut", "helloworld");
                resultFC.add(fcore);
            }
            //-- display
            context.addLayer(StandardCategoryNames.RESULT, "newLayer", resultFC);

        
    
     return true;
  }
    
   
}  