import com.vividsolutions.jump.workbench.plugin.AbstractPlugIn;
import com.vividsolutions.jump.workbench.plugin.PlugInContext;
import com.vividsolutions.jump.*;
import com.vividsolutions.jump.feature.*;
import com.vividsolutions.jts.geom.*;
import java.util.*;
import javax.swing.JComboBox;
import java.lang.Object.*;

import com.vividsolutions.jump.workbench.ui.*;
import com.vividsolutions.jump.workbench.model.*;

public class buffer extends AbstractPlugIn {
        
    public void initialize(PlugInContext context){
        context.getFeatureInstaller().addMainMenuItem(this, new String[] { "MojePlugIns", "buffer" }, "buffer", false, null, null);
    }
    
    public boolean execute(PlugInContext context) throws Exception {   
     
        FeatureCollection features = context.getWorkbenchContext().getLayerManager().getLayer(0).getFeatureCollectionWrapper().getWrappee();
       
        FeatureCollection MyCollA = null;
        
        Feature firstF = (Feature)features.iterator().next();
        FeatureSchema fs = firstF.getSchema();
        FeatureCollection myCollA = new FeatureDataset (fs);
        
        int numFeatures = features.size();
        //int count = 0;
        
            for (Iterator iter = features.iterator(); iter.hasNext();) {
                Feature f = (Feature) iter.next();
                
                Feature newF = f.clone(false);
                Geometry geom = f.getGeometry();
                Geometry buffer = geom.buffer(10);
                
                newF.setGeometry(buffer);
                myCollA.add(newF);
                
                //count ++;    
                
            }
            
                                
        context.addLayer ("kategorie","buffer", myCollA);        
                
                
        

     return true;
  }
    
   
}  